## ros-noetic-message-to-tf 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(message_to_tf)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS tf nav_msgs geometry_msgs sensor_msgs topic_tools)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
    INCLUDE_DIRS
    LIBRARIES
    CATKIN_DEPENDS tf nav_msgs geometry_msgs sensor_msgs topic_tools
    DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(${catkin_INCLUDE_DIRS})

add_executable(message_to_tf
  src/message_to_tf.cpp
)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(message_to_tf hector_worldmodel_msgs_generate_messages_cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(message_to_tf
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executables and/or libraries for installation
install(TARGETS message_to_tf
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )
# install(DIRECTORY launch/
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch/
# )

=== debian/changelog ===
ros-noetic-message-to-tf (0.4.0-1focal) focal; urgency=high

  * Update maintainer email address
  * Increase minimum CMake version to 3.0.2 to avoid the CMP0048 warning
    See
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
    for details.
  * Contributors: Johannes Meyer

 -- Johannes Meyer <joh@nnes-meyer.de>  Mon, 15 Feb 2021 23:00:00 -0000

ros-noetic-message-to-tf (0.3.0-1focal) focal; urgency=high



 -- Johannes Meyer <joh@nnes-meyer.de>  Sun, 26 Jun 2016 22:00:00 -0000

ros-noetic-message-to-tf (0.2.2-1focal) focal; urgency=high



 -- Johannes Meyer <joh@nnes-meyer.de>  Thu, 23 Jun 2016 22:00:00 -0000

ros-noetic-message-to-tf (0.2.1-1focal) focal; urgency=high

  * Update error message
  * Add TransformStamped as an input type
  * Contributors: Paul Bovbel

 -- Johannes Meyer <joh@nnes-meyer.de>  Sat, 07 Nov 2015 23:00:00 -0000

ros-noetic-message-to-tf (0.2.0-1focal) focal; urgency=high



 -- Johannes Meyer <joh@nnes-meyer.de>  Sat, 21 Feb 2015 23:00:00 -0000

ros-noetic-message-to-tf (0.1.5-1focal) focal; urgency=high

  * get subscribed topic from the command line
  * initialize origin when publishing imu transform and fixed imu pose output (fix #6)
  * Contributors: Johannes Meyer

 -- Johannes Meyer <joh@nnes-meyer.de>  Wed, 01 Oct 2014 22:00:00 -0000

ros-noetic-message-to-tf (0.1.4-1focal) focal; urgency=high



 -- Johannes Meyer <joh@nnes-meyer.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-noetic-message-to-tf (0.1.3-1focal) focal; urgency=high

  * message_to_tf: fixed base_link transform publishing (was removed in 77f2cc2334d15fc0e9395ceb9b40cd4601448289)
  * Contributors: Johannes Meyer

 -- Johannes Meyer <joh@nnes-meyer.de>  Tue, 08 Jul 2014 22:00:00 -0000

ros-noetic-message-to-tf (0.1.2-1focal) focal; urgency=high

  * Add parameter for optionally not publishing roll/pitch to tf
  * Don´t publish roll/pitch (to be parametrized soon)
  * Contributors: Stefan Kohlbrecher, hector1

 -- Johannes Meyer <joh@nnes-meyer.de>  Sun, 01 Jun 2014 22:00:00 -0000

ros-noetic-message-to-tf (0.1.1-1focal) focal; urgency=high

  * added missing dependency to roscpp
  * Contributors: Johannes Meyer

 -- Johannes Meyer <joh@nnes-meyer.de>  Sat, 29 Mar 2014 23:00:00 -0000

ros-noetic-message-to-tf (0.1.0-1focal) focal; urgency=high

  * catkinized stack hector_localization
  * readded tf_prefix support (deprecated feature in ROS hydro beta)
  * added ShapeShifter subscriber which accepts multiple message types
  * added euler angle publisher (Vector3Stamped)

 -- Johannes Meyer <joh@nnes-meyer.de>  Mon, 02 Sep 2013 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-message-to-tf
Section: misc
Priority: optional
Maintainer: Johannes Meyer <joh@nnes-meyer.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf, ros-noetic-topic-tools
Homepage: http://ros.org/wiki/message_to_tf
Standards-Version: 3.9.2

Package: ros-noetic-message-to-tf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf, ros-noetic-topic-tools
Description: message_to_tf translates pose information from different kind of common_msgs message types to tf.
 Currently the node supports nav_msgs/Odometry, geometry_msgs/PoseStamped and sensor_msgs/Imu messages as input. The resulting transform is divided into three subtransforms with intermediate frames for the footprint and the stabilized base frame (without roll and pitch).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-message-to-tf//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
